Bug 186234 - www/woof: port upgrade to native Python 2.7 compliant version
Summary: www/woof: port upgrade to native Python 2.7 compliant version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-29 13:50 UTC by dereckson
Modified: 2014-02-07 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.01 KB, patch)
2014-01-29 13:50 UTC, dereckson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2014-01-29 13:50:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-01-29 19:31:07 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Pawel Pekala freebsd_committer 2014-02-07 22:25:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 3 Pawel Pekala freebsd_committer 2014-02-07 22:30:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-02-07 22:31:00 UTC
Author: pawel
Date: Fri Feb  7 22:30:46 2014
New Revision: 343302
URL: http://svnweb.freebsd.org/changeset/ports/343302
QAT: https://qat.redports.org/buildarchive/r343302/

Log:
  - Update to version 2012.05.31 [1]
  - Stage support
  
  PR:		ports/186234 [1]
  Submitted by:	maintainer

Deleted:
  head/www/woof/files/
Modified:
  head/www/woof/Makefile
  head/www/woof/distinfo

Modified: head/www/woof/Makefile
==============================================================================
--- head/www/woof/Makefile	Fri Feb  7 22:22:52 2014	(r343301)
+++ head/www/woof/Makefile	Fri Feb  7 22:30:46 2014	(r343302)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	woof
-PORTVERSION=	2009.12.27
+PORTVERSION=	2012.05.31
 CATEGORIES=	www
 MASTER_SITES=	http://www.home.unix-ag.org/simon/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/./-/g}
@@ -18,18 +18,11 @@ USE_PYTHON=	yes
 NO_BUILD=	yes
 PLIST_FILES=	bin/woof
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-.if ${PYTHON_REL} >= 270
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-woof-2009-12-27-python27.diff
-.endif
-
 do-extract:
 	@${MKDIR} ${WRKSRC}
 	@${CP} ${DISTDIR}/${DISTFILES} ${WRKSRC}/${DISTFILES}
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/${DISTFILES} ${PREFIX}/bin/woof
+	${INSTALL_SCRIPT} ${WRKSRC}/${DISTFILES} ${STAGEDIR}${PREFIX}/bin/woof
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/www/woof/distinfo
==============================================================================
--- head/www/woof/distinfo	Fri Feb  7 22:22:52 2014	(r343301)
+++ head/www/woof/distinfo	Fri Feb  7 22:30:46 2014	(r343302)
@@ -1,2 +1,2 @@
-SHA256 (woof-2009-12-27.py) = 21086b67489381b477c9c0567b1d9f8b8f1deec12bd4e414969e3f155c1ff889
-SIZE (woof-2009-12-27.py) = 16810
+SHA256 (woof-2012-05-31.py) = d84353d07f768321a1921a67193510bf292cf0213295e8c7689176f32e945572
+SIZE (woof-2012-05-31.py) = 20284
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"